## org.hibernate.event.def
Class OnLockVisitor

    java.lang.Object
      org.hibernate.event.def.AbstractVisitor
          org.hibernate.event.def.ProxyVisitor
              org.hibernate.event.def.ReattachVisitor
                  org.hibernate.event.def.OnLockVisitor

    public class OnLockVisitor

extends ReattachVisitor

When a transient entity is passed to lock(), we must inspect all its collections and 1. associate any uninitialized PersistentCollections with this session 2. associate any initialized PersistentCollections with this session, using the existing snapshot 3. throw an exception for each "new" collection

Author:
  Gavin King

Constructor Summary
`OnLockVisitor(EventSource session, Serializable key, Object owner)`

Method Summary

Methods inherited from class org.hibernate.event.def.ProxyVisitor
`isOwnerUnchanged, reattachCollection`

Methods inherited from class org.hibernate.event.def.AbstractVisitor
`processEntityPropertyValues`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OnLockVisitor

    public OnLockVisitor(EventSource session,
                         Serializable key,
                         Object owner)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.